binary.hpp File Reference

Binary input and output archives. More...

`#include "cereal/cereal.hpp"`
`#include <sstream>`

Go to the source code of this file.

## Classes

class | cereal::BinaryOutputArchive
| An output archive designed to save data in a compact binary representation. More...
class | cereal::BinaryInputArchive
| An input archive designed to load data saved using BinaryOutputArchive. More...

## Functions

template<class T >
std::enable_if< std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (BinaryOutputArchive &ar, T const &t)
| Saving for POD types to binary.
template<class T >
std::enable_if< std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (BinaryInputArchive &ar, T &t)
| Loading for POD types from binary.
template<class Archive , class T >
| cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &ar, NameValuePair< T > &t)
| Serializing NVP types to binary. More...
template<class Archive , class T >
| cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &ar, SizeTag< T > &t)
| Serializing SizeTags to binary. More...
template<class T >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (BinaryOutputArchive &ar, BinaryData< T > const &bd)
| Saving binary data.
template<class T >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (BinaryInputArchive &ar, BinaryData< T > &bd)
| Loading binary data.

## Detailed Description

Binary input and output archives.

## Function Documentation

## CEREAL_SERIALIZE_FUNCTION_NAME() [1/2]

template<class Archive , class T >

cereal::CEREAL_SERIALIZE_FUNCTION_NAME | ( | Archive & | ar,
|  | NameValuePair< T > & | t
| ) |  |

inline

Serializing NVP types to binary.

Serializing NVP types to portable binary.

## CEREAL_SERIALIZE_FUNCTION_NAME() [2/2]

template<class Archive , class T >

cereal::CEREAL_SERIALIZE_FUNCTION_NAME | ( | Archive & | ar,
|  | SizeTag< T > & | t
| ) |  |

inline

Serializing SizeTags to binary.

Serializing SizeTags to portable binary.